/* please don't roast my css slop */
@import url('https://fonts.googleapis.com/css?family=Roboto');
@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,700;1,700&display=swap');
html ,body {
    background-color: rgb(22, 22, 22);
    color: rgb(245, 245, 245);
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

main {
    max-width: 900px;
    width: 850px;
    margin: 0 auto;
}

main img {
    margin-top: 10px;
    margin-bottom: 10px;
    display: block;
    max-width: 100%;
    border-radius: 20px;
}

main button {
    margin-top: 10px;
    margin-bottom: 10px;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Rubik", sans-serif;
}

h1 {
    font-size: 45px;
    line-height: 1.5;
}

h2 {
    font-size: 32px;
    line-height: 1.5;
}

p, a, button, li, b {
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    hyphens: auto;
    -webkit-hyphens: auto; /* Safari */
    -ms-hyphens: auto;   
}

button {
    display: block;
    background-color: #313131;
    color: rgb(245, 245, 245);
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
} 

a {
    color: rgb(245, 245, 245);
}

.header-intro {
    font-size: 60px;
}

.name {
    color: #4b8501;
}

.links {
    display: flex;
    gap: 10px;
}

.links img {
    width: 35px;
    height: 35px;
    border-radius: 0px;
}

footer {
    background-color: rgb(41, 41, 41);
    margin-top: 20px;
}
footer div {
    margin: 0 auto;
    padding: 50px;
    text-align: center;
}
footer a {
    color: rgb(130, 130, 130);
    margin: 20px;
}

.bar {
    height: 50px;
    background-color: #313131;
    border-radius: 5px;
    margin-top: 5px;
}
@media screen and (max-width: 948px) {
    main {
        width: 90%;
    }
    .header-intro {
        font-size: 45px;
        line-height: 1.5;
    }
    footer a {
        margin: 10px;
    }
}